# coding: utf-8
import cherrypy

__all__ = [
    'is_authorized',
    'authorize_all',
]


def is_authorized():
    if not cherrypy.request.authorized:
        raise cherrypy.HTTPError("403 Forbidden", ','.join(cherrypy.request.unauthorized_reasons))


def authorize_all():
    cherrypy.request.authorized = 'authorize_all'
