# coding: utf-8
import ujson

__all__ = [
    'error_page_json',
]


def error_page_json(status, message, traceback, version):
    ret = {
        'status': status,
        'version': version,
        'message': [message],
        'traceback': traceback
    }
    return ujson.dumps(ret, ensure_ascii=False)
