# coding: utf-8
import cherrypy

__all__ = [
    'authenticate',
]


def authenticate():
    if not hasattr(cherrypy.request, 'user') or cherrypy.request.user is None:
        cherrypy.request.user = cherrypy.engine.publish('get-identity').pop()
        cherrypy.request.authorized = False  # This only authenticates.  Authz must be handled separately.
        cherrypy.request.unauthorized_reasons = []
        cherrypy.request.authorization_queries = []
